From 9fe1aa475b2667446b081623abc5c6f6083a76e6 Mon Sep 17 00:00:00 2001
From: Mathieu Parent <math.parent@gmail.com>
Date: Sat, 24 Oct 2009 17:03:37 +0200
Subject: [PATCH 1/7] autoconf building of library (using libtool)

---
 pico/Makefile.am  |   36 ++++++++++++++++++++++++++++++++++++
 pico/autogen.sh   |   36 ++++++++++++++++++++++++++++++++++++
 pico/configure.in |   16 ++++++++++++++++
 3 files changed, 88 insertions(+), 0 deletions(-)
 create mode 100644 pico/Makefile.am
 create mode 100755 pico/autogen.sh
 create mode 100644 pico/configure.in

--- /dev/null
+++ b/pico/Makefile.am
@@ -0,0 +1,36 @@
+## Makefile.am -- Process this file with automake to produce Makefile.in
+
+ACLOCAL_AMFLAGS = -I m4
+
+lib_LTLIBRARIES = libttspico.la
+libttspico_la_SOURCES = \
+	lib/picoacph.c \
+	lib/picoapi.c \
+	lib/picobase.c \
+	lib/picocep.c \
+	lib/picoctrl.c \
+	lib/picodata.c \
+	lib/picodbg.c \
+	lib/picoextapi.c \
+	lib/picofftsg.c \
+	lib/picokdbg.c \
+	lib/picokdt.c \
+	lib/picokfst.c \
+	lib/picoklex.c \
+	lib/picoknow.c \
+	lib/picokpdf.c \
+	lib/picokpr.c \
+	lib/picoktab.c \
+	lib/picoos.c \
+	lib/picopal.c \
+	lib/picopam.c \
+	lib/picopr.c \
+	lib/picorsrc.c \
+	lib/picosa.c \
+	lib/picosig.c \
+	lib/picosig2.c \
+	lib/picospho.c \
+	lib/picotok.c \
+	lib/picotrns.c \
+	lib/picowa.c
+
--- /dev/null
+++ b/pico/autogen.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+#created by aclocal
+rm -rf autom4te.cache
+rm -f aclocal.m4
+
+#created by libtoolize
+rm -rf m4
+mkdir m4
+rm -f ltmain.sh
+
+#created by autoconf
+rm -f configure
+
+#created by automake
+rm -f install-sh missing depcomp Makefile.in config.guess config.sub
+rm -f INSTALL COPYING compile
+
+#created by ./configure
+rm -rf .deps
+rm -f Makefile config.log config.status libtool
+
+if [ "$1" = "clean" ]; then
+    exit
+fi
+
+IPATHS="-I lib"
+
+libtoolize
+aclocal $IPATHS
+automake --add-missing
+autoconf $IPATHS
+
+rm -rf autom4te.cache
+
+echo "Now run ./configure and then make."
+exit 0
+
--- /dev/null
+++ b/pico/configure.in
@@ -0,0 +1,16 @@
+dnl Process this file with autoconf to produce a configure script.
+
+AC_PREREQ(2.59)
+
+AC_INIT([svox], [1.0], [math.parent@gmail.com])
+
+AM_INIT_AUTOMAKE([1.9 foreign])
+
+AC_PROG_CC
+LT_INIT
+AC_PROG_LIBTOOL
+
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
+
+AC_CONFIG_MACRO_DIR([m4])
